ADDINPUTCCT(3)

NAME
addInputCct - adds an input to a circuit

SYNOPSYS
#include "logmmm.h"
short addInputCct(pC,name)
pCircuit pC;
char *name;

PARAMETERS

pC  Circuit

name
    name to add

DESCRIPTION
addInputCct() adds a primary input name to pC. This function returns the associated index.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
pCircuit pC;
initializeBdd(SMALL_BDD);
pC = initializeCct("circuit 1",10,10);
addInputCct(pC,"a");
addInputCct(pC,"b");
displayCct(pC,1);
/* it will display
************* DISPLAY circuit 1 **********
INPUT = a	INDEX = 2
INPUT = b	INDEX = 3
--------- NUMBER OF INPUTS = 2
--------- NUMBER OF OUTPUTS = 0
******************************************
*/
destroyCct(pC);
destroyBdd(1);

SEE ALSO
log(1), bdd(1), searchInputCct(3), cpOrderCct(3), addOutputCct(3).